Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 29-04-2020 11:52:16

debi1
Membre
Distrib. : Debian 10 (Buster)
Noyau : Linux 4.19.0-13-amd64
(G)UI : gnome 3.30.2
Inscription : 01-05-2015

[Résolu] apt update > NOK

Bonjour,

Linux 64 bits / Debian 10 après une mise à jour Debian 9 > 10
Tout est OK sauf après la tentative d'installation de SIGNAL (https://signal.org/fr/download/)

apt update


Atteint :1 http://deb.debian.org/debian buster InRelease
Atteint :2 http://deb.debian.org/debian buster-updates InRelease            
Atteint :3 http://deb.debian.org/debian buster-proposed-updates InRelease  
Réception de :4 https://updates.signal.org/desktop/apt xenial InRelease [2316 B]
Atteint :5 http://security.debian.org buster/updates InRelease              
Err :4 https://updates.signal.org/desktop/apt xenial InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY D980A17457F6FB06
Lecture des listes de paquets... Fait
W: http://deb.debian.org/debian/dists/buster/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.
W: http://deb.debian.org/debian/dists/buster-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.
W: http://deb.debian.org/debian/dists/buster-proposed-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.
W: https://updates.signal.org/desktop/apt/dists/xenial/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.
W: Erreur de GPG : https://updates.signal.org/desktop/apt xenial InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY D980A17457F6FB06
E: Le dépôt https://updates.signal.org/desktop/apt xenial InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: http://security.debian.org/dists/buster/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.
W: La cible Packages (main/binary-amd64/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Packages (main/binary-all/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Translations (main/i18n/Translation-fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Translations (main/i18n/Translation-fr) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Translations (main/i18n/Translation-en) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11 (main/dep11/Components-amd64.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11 (main/dep11/Components-all.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11-icons-small (main/dep11/icons-48x48.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11-icons (main/dep11/icons-64x64.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Packages (main/binary-amd64/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Packages (main/binary-all/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Translations (main/i18n/Translation-fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Translations (main/i18n/Translation-fr) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Translations (main/i18n/Translation-en) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible DEP-11 (main/dep11/Components-amd64.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible DEP-11 (main/dep11/Components-all.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible DEP-11-icons-small (main/dep11/icons-48x48.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible DEP-11-icons (main/dep11/icons-64x64.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
 



Je tourne un peu en rond entre les tentatives de regénération de clés et de relance d'installation..... bref, je ne m'en sors pas.
Pour information, l'installation avec la même méthode de SIGNAL sur Dedian 9 était OK

Merci bien par avance et bonne journée.

Dernière modification par debi1 (29-04-2020 14:37:24)

Hors ligne

#2 29-04-2020 13:00:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] apt update > NOK

Bonjour,

debi1 a écrit :

apt update

W: http://deb.debian.org/debian/dists/buster/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.
W: http://deb.debian.org/debian/dists/buster-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.
W: http://deb.debian.org/debian/dists/buster-proposed-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.
W: https://updates.signal.org/desktop/apt/dists/xenial/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.
...
W: http://security.debian.org/dists/buster/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file has an unsupported filetype.


Problème #1 : le fameux fichier /etc/apt/trusted.gpg au mauvais format (hérité de Stretch). À virer ;

sudo rm -v /etc/apt/trusted.gpg


Sous Buster, le format "keybox" n'interdit pas l'importation de clés publiques, ça bloque par la suite.

Réception de :4 https://updates.signal.org/desktop/apt xenial InRelease [2316 B]
...
Err :4 https://updates.signal.org/desktop/apt xenial InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY D980A17457F6FB06
...
W: Erreur de GPG : https://updates.signal.org/desktop/apt xenial InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY D980A17457F6FB06
E: Le dépôt https://updates.signal.org/desktop/apt xenial InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.


Problème #2 : la clé publique requise pour la vérification du dépôt n'est pas disponible, importation ;

curl -s https://updates.signal.org/desktop/apt/keys.asc | sudo apt-key add -


Même ajoutée au fichier /etc/apt/trusted.gpg (tu viens de le supprimer), la clé n'était pas accessible.

W: La cible Packages (main/binary-amd64/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Packages (main/binary-all/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Translations (main/i18n/Translation-fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Translations (main/i18n/Translation-fr) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Translations (main/i18n/Translation-en) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible DEP-11 (main/dep11/Components-amd64.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible DEP-11 (main/dep11/Components-all.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible DEP-11-icons-small (main/dep11/icons-48x48.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible DEP-11-icons (main/dep11/icons-64x64.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3


Problème #3 : le fichier /etc/apt/sources.list.d/signal-xenial.list est redondant... deux lignes en trop.

Dernière modification par èfpé (30-04-2020 13:00:42)

Hors ligne

#3 29-04-2020 14:36:51

debi1
Membre
Distrib. : Debian 10 (Buster)
Noyau : Linux 4.19.0-13-amd64
(G)UI : gnome 3.30.2
Inscription : 01-05-2015

Re : [Résolu] apt update > NOK

Bien joué @èfpé

Je ne retrouvais pas cette commande

sudo rm -v /etc/apt/trusted.gpg



Merci bcp, je retrouve enfin un terminal propre lors de mes mises à jour cool

Bon après midi.

Hors ligne

#4 29-04-2020 16:37:02

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 11.3 (bullseye)
Noyau : Linux 5.10.0-13-amd64
(G)UI : GNOME 3.38.5
Inscription : 20-10-2019

Re : [Résolu] apt update > NOK

Bonjour,

Je m'aperçois que j'ai moi aussi un problème assez similaire avec un terminal tout sale lors des mises à jour. sad

root@DEBIAN:~# apt update
Atteint :1 http://deb.debian.org/debian buster InRelease                      
Atteint :2 http://security.debian.org/debian-security buster/updates InRelease
Atteint :3 http://security.debian.org buster/updates InRelease                
Atteint :4 http://deb.debian.org/debian buster-updates InRelease              
Atteint :5 https://packages.microsoft.com/repos/ms-teams stable InRelease      
Réception de :6 https://updates.signal.org/desktop/apt xenial InRelease [2316 B]
Atteint :7 https://repo.skype.com/deb stable InRelease                        
Err :6 https://updates.signal.org/desktop/apt xenial InRelease                
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY D980A17457F6FB06
Err :8 https://download.jitsi.org stable/ InRelease
  Connexion à download.jitsi.org: 443 (2001:660:2402::22) impossible, délai de connexion dépassé Connexion à download.jitsi.org: 443 (130.79.200.22) impossible, délai de connexion dépassé
Err :9 https://download.jitsi.org unstable/ InRelease
  Impossible de se connecter à download.jitsi.org:https :
Lecture des listes de paquets... Fait
W: Erreur de GPG : https://updates.signal.org/desktop/apt xenial InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY D980A17457F6FB06
E: Le dépôt https://updates.signal.org/desktop/apt xenial InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'
effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.
W: La cible Packages (main/binary-amd64/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Packages (main/binary-all/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Translations (main/i18n/Translation-fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Translations (main/i18n/Translation-fr) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Translations (main/i18n/Translation-en) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11 (main/dep11/Components-amd64.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11 (main/dep11/Components-all.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11-icons-small (main/dep11/icons-48x48.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible DEP-11-icons (main/dep11/icons-64x64.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:2
W: La cible Packages (main/binary-amd64/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Packages (main/binary-all/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Translations (main/i18n/Translation-fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Translations (main/i18n/Translation-fr) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Translations (main/i18n/Translation-en) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible DEP-11 (main/dep11/Components-amd64.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible DEP-11 (main/dep11/Components-all.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible DEP-11-icons-small (main/dep11/icons-48x48.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible DEP-11-icons (main/dep11/icons-64x64.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:3
W: La cible Packages (main/binary-amd64/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:4
W: La cible Packages (main/binary-all/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:4
W: La cible Translations (main/i18n/Translation-fr_FR) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:4
W: La cible Translations (main/i18n/Translation-fr) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:4
W: La cible Translations (main/i18n/Translation-en) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:4
W: La cible DEP-11 (main/dep11/Components-amd64.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:4
W: La cible DEP-11 (main/dep11/Components-all.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:4
W: La cible DEP-11-icons-small (main/dep11/icons-48x48.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:4
W: La cible DEP-11-icons (main/dep11/icons-64x64.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/signal-xenial.list:1 et /etc/apt/sources.list.d/signal-xenial.list:4



Qu'est-ce que c'est laid. D'autant plus que j'avais installé Teams pour le boulot et que je l'ai supprimé illico après.
Une aide serait la bienvenue.

Hors ligne

#5 29-04-2020 16:48:01

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : bookworm unstable sid / bullseye (stable)
Noyau : Linux sid 5.17.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résolu] apt update > NOK

tu peux encore installer qquechose  ?
essaies  d' installer inxi .

apt install inxi


si çà marche , tu pourra nous renvoyer le retour de

inxi -r


si çà marche pas , essaies les commandes suivantes :

mv /etc/apt/sources.list.d/signal-xenial.list  /etc/apt/sources.list.d/signal-xenial.list.bak


apt update


et poste le retour .
çà devrai retirer déjà une partie de tes problèmes .

  -- note importante à lire --

Dernière modification par Debian Alain (29-04-2020 16:57:21)

En ligne

#6 29-04-2020 18:44:05

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 11.3 (bullseye)
Noyau : Linux 5.10.0-13-amd64
(G)UI : GNOME 3.38.5
Inscription : 20-10-2019

Re : [Résolu] apt update > NOK

Merci.
Je viens de relire la réponse de èfpé. Et du coup j'ai supprimé plusieurs lignes du fichier /etc/apt/sources.list.d/signal-xenial.list qui était redondant.
Ce qui me donne à présent :

root@DEBIAN:~# apt update
Atteint :1 https://repo.skype.com/deb stable InRelease
Atteint :2 http://deb.debian.org/debian buster InRelease                      
Atteint :3 http://deb.debian.org/debian buster-updates InRelease              
Atteint :4 https://download.jitsi.org stable/ InRelease                        
Atteint :5 https://download.jitsi.org unstable/ InRelease                      
Atteint :6 http://security.debian.org/debian-security buster/updates InRelease
Atteint :7 http://security.debian.org buster/updates InRelease                
Atteint :8 https://packages.microsoft.com/repos/ms-teams stable InRelease      
Réception de :9 https://updates.signal.org/desktop/apt xenial InRelease [2316 B]
Err :9 https://updates.signal.org/desktop/apt xenial InRelease
  Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY D980A17457F6FB06
Lecture des listes de paquets... Fait
W: Erreur de GPG : https://updates.signal.org/desktop/apt xenial InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY D980A17457F6FB06
E: Le dépôt https://updates.signal.org/desktop/apt xenial InRelease n'est pas signé.
N: Les mises à jour depuis un tel dépôt ne peuvent s'
effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.



C'est un peu moins laid.
Je vais exécuter ce que tu me conseilles. (c'est quoi inxi ?)

Dernière modification par Grégory1899 (29-04-2020 18:53:54)

Hors ligne

#7 29-04-2020 18:59:23

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 11.3 (bullseye)
Noyau : Linux 5.10.0-13-amd64
(G)UI : GNOME 3.38.5
Inscription : 20-10-2019

Re : [Résolu] apt update > NOK

Voilà :

root@DEBIAN:~# inxi -r
Repos:
  Active apt repos in: /etc/apt/sources.list
  1: deb http://deb.debian.org/debian/ buster main contrib non-free
  2: deb-src http://deb.debian.org/debian/ buster main contrib non-free
  3: deb http://security.debian.org/debian-security buster/updates main contrib non-free
  4: deb-src http://security.debian.org/debian-security buster/updates main contrib non-free
  5: deb http://deb.debian.org/debian/ buster-updates main contrib non-free
  6: deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free
  7: deb http://security.debian.org/ buster/updates main contrib non-free
  Active apt repos in: /etc/apt/sources.list.d/jitsi-stable.list
  1: deb https://download.jitsi.org stable/
  Active apt repos in: /etc/apt/sources.list.d/jitsi-unstable.list
  1: deb https://download.jitsi.org unstable/
  Active apt repos in: /etc/apt/sources.list.d/signal-xenial.list
  1: deb [arch=amd64] https://updates.signal.org/desktop/apt xenial main
  Active apt repos in: /etc/apt/sources.list.d/skype-stable.list
  1: deb [arch=amd64] https://repo.skype.com/deb stable main
  Active apt repos in: /etc/apt/sources.list.d/teams.list
  1: deb [arch=amd64] https://packages.microsoft.com/repos/ms-teams stable main

Hors ligne

#8 29-04-2020 21:45:39

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 11.3 (bullseye)
Noyau : Linux 5.10.0-13-amd64
(G)UI : GNOME 3.38.5
Inscription : 20-10-2019

Re : [Résolu] apt update > NOK

Bon, j'arrête de vous embêter.
J'ai fait une grande lessive en retirant tout ce qui se référait à microsoft teams et skype.
J'ai importé la clé de Signal.
Je me suis débarrassé de Jitsi-meet sur PC et utiliserai l'appli sur téléphone, tant pis.
Bref, maintenant, ça donne ça (tout fier) :

root@DEBIAN:~# apt update
Atteint :1 http://deb.debian.org/debian buster InRelease
Atteint :2 http://deb.debian.org/debian buster-updates InRelease              
Atteint :3 http://security.debian.org/debian-security buster/updates InRelease
Atteint :4 http://security.debian.org buster/updates InRelease                
Atteint :5 https://updates.signal.org/desktop/apt xenial InRelease            
Lecture des listes de paquets... Fait                                      
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Tous les paquets sont à jour.

Hors ligne

#9 30-04-2020 08:57:14

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : bookworm unstable sid / bullseye (stable)
Noyau : Linux sid 5.17.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résolu] apt update > NOK

tes sources étèaient un peu risquées . .

pour planter sa  distrib' on fait comme çà  .

mais je pense  que tu as  compris .

distrib debian  =  dépôts debian .

exotiques  à éviter (si on peut)

en tout cas , surtout pas de ppa et donc surtout  pas de dépôt ubuntu  .

inxi  est un petit utilitaire qui donne des infos sur ta config .

il donne des infos générales (-F) , sur la carte graphique (-G) , sur la carte réseau (-N) , sur les dépôts (-r) , etc ....

-- commandes inxi --

-- don't break debian --

bonne chance et bonnes  aventures ....

alain

big_smile

ps : tu avais , plusieurs fois dans tes sources , le dépôt xenial .
que tu as conservé dans tes sources par défaut . (sources.list) .
pour jitsi , tu avais mélangé la version stable et unstable .
pas sûr que ce soit une bonne idée .
pourquoi ? dans  quel but ? .
j'ai pas bien regardé . je crois que tu es en buster stable , donc , des sources testing çà passe ,
des sources  unstable ... , c'est ... comment dire ? ... instable par défaut , donc risqué .
c'est pas pour rien que sid s'appelle unstable (instable) ou , si tu préfères : non - stable .

Dernière modification par Debian Alain (30-04-2020 09:09:50)

En ligne

#10 30-04-2020 09:08:54

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 11.3 (bullseye)
Noyau : Linux 5.10.0-13-amd64
(G)UI : GNOME 3.38.5
Inscription : 20-10-2019

Re : [Résolu] apt update > NOK

Merci pour ces deux liens ! yes.gif
Et pour tous tes conseils.

Hors ligne

#11 30-04-2020 09:12:21

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : bookworm unstable sid / bullseye (stable)
Noyau : Linux sid 5.17.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : [Résolu] apt update > NOK

pour les dépôts , j'ai tendance à être parano .

mais cette démarche à souvent montré son bien fondé .

En ligne

#12 05-01-2022 00:17:00

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 11.3 (bullseye)
Noyau : Linux 5.10.0-13-amd64
(G)UI : GNOME 3.38.5
Inscription : 20-10-2019

Re : [Résolu] apt update > NOK

Bonsoir,

Je relance le sujet car j'ai complètement merdé ce soir en voulant installer Riseup VPN avant de réaliser qu'il s'agissait d'une installation pour...Buster.
J'ai donc effectué ces commandes :

 sudo apt install leap-archive-keyring
   echo "deb https://deb.leap.se/client release buster" | sudo tee -a /etc/apt/sources.list.d/leap.list
   sudo apt update
   sudo apt install riseup-vpn


Avant de me raviser et de bidouiller un truc du genre : echo "deb https://deb.leap.se/client release bullseye" | sudo tee -a /etc/apt/sources.list.d/leap.list
Du grand n'importe quoi.scratchhead.gif
Si bien que je me retrouve avec ça :

root@debian:~# apt update
Atteint :1 http://deb.debian.org/debian bullseye InRelease
Atteint :2 http://deb.debian.org/debian-security bullseye-security InRelease  
Atteint :3 http://deb.debian.org/debian bullseye-updates InRelease            
Atteint :4 http://security.debian.org/debian-security bullseye-security InRelease
Atteint :5 https://updates.signal.org/desktop/apt xenial InRelease            
Atteint :6 https://repo.protonvpn.com/debian stable InRelease                  
Atteint :7 https://deb.leap.se/client release InRelease                        
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'
état... Fait      
1 paquet peut être mis à jour. Exécutez « apt list --upgradable » pour le voir.
W: Le fichier configuré « bullseye/binary-amd64/Packages » ne sera pas pris en compte car le dépôt « https://deb.leap.se/client release InRelease » ne dispose pas de la source « bullseye » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « bullseye/i18n/Translation-en » ne sera pas pris en compte car le dépôt « https://deb.leap.se/client release InRelease » ne dispose pas de la source « bullseye » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « bullseye/i18n/Translation-fr » ne sera pas pris en compte car le dépôt « https://deb.leap.se/client release InRelease » ne dispose pas de la source « bullseye » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « bullseye/i18n/Translation-fr_FR » ne sera pas pris en compte car le dépôt « https://deb.leap.se/client release InRelease » ne dispose pas de la source « bullseye » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « bullseye/dep11/Components-amd64.yml » ne sera pas pris en compte car le dépôt « https://deb.leap.se/client release InRelease » ne dispose pas de la source « bullseye » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « bullseye/dep11/icons-48x48.tar » ne sera pas pris en compte car le dépôt « https://deb.leap.se/client release InRelease » ne dispose pas de la source « bullseye » (erreur de saisie dans sources.list ?)
W: Le fichier configuré « bullseye/dep11/icons-64x64.tar » ne sera pas pris en compte car le dépôt « https://deb.leap.se/client release InRelease » ne dispose pas de la source « bullseye » (erreur de saisie dans sources.list ?)



Comment remédier à tout ce bazar ?scratchhead.gif Et retrouver un fichier sources.list décent ?
Merci.

Hors ligne

#13 05-01-2022 00:27:47

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] apt update > NOK

Hello,

Si tu fais un

cat /etc/apt/sources.list.d/leap.list


Tu vas te rendre compte qu'il y 2 lignes dans ce fichier, une pointant sur la distribution Buster, l'autre sur Bullseye.
Cela vient de la commande tee -a qui veut dire "ajouter au fichier".

Si aucune installation de Riseup VPN n'a été faite, alors il te suffit de supprimer la ligne pointant sur Buster.
Et d'installer Riseup VPN ensuite (après un apt update sans erreur évidemment).
Une commande pour supprimer cette ligne :

sed -i '/buster/d' /etc/apt/sources.list.d/leap.list

Dernière modification par Tawal (05-01-2022 00:29:05)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#14 05-01-2022 00:47:11

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 11.3 (bullseye)
Noyau : Linux 5.10.0-13-amd64
(G)UI : GNOME 3.38.5
Inscription : 20-10-2019

Re : [Résolu] apt update > NOK

Je te remercie beaucoup Tawal, j'ai utilisé ta commande aussi bien pour Buster que pour Bullseye, je renonce à installer RiseupVPN. Ce qui me redonne à présent un apt update "correct".

root@debian:~# apt update
Atteint :1 http://security.debian.org/debian-security bullseye-security InRelease
Atteint :2 http://deb.debian.org/debian bullseye InRelease                    
Atteint :3 http://deb.debian.org/debian-security bullseye-security InRelease  
Atteint :4 http://deb.debian.org/debian bullseye-updates InRelease            
Atteint :5 https://updates.signal.org/desktop/apt xenial InRelease            
Atteint :6 https://repo.protonvpn.com/debian stable InRelease                  
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'
état... Fait      
1 paquet peut être mis à jour. Exécutez « apt list --upgradable » pour le voir.


Puis

root@debian:~# apt list --upgradable
En train de lister... Fait
signal-desktop/xenial 5.27.0 amd64 [pouvant être mis à jour depuis : 5.26.1]
N: Il y a des versions supplémentaires 27. Veuillez utiliser l'opérande « -a » pour les voir.


opérande -a ????scratchhead.gif

Mais cette fois, ci, lorsque je veux mettre à jour Signal avec un apt upgrade, ça me donne :

root@debian:~# apt upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'
état... Fait      
Calcul de la mise à jour... Fait
Les paquets suivants ont été conservés :
  signal-desktop
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
root@debian:~# apt upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'
état... Fait      
Calcul de la mise à jour... Fait
Les paquets suivants ont été conservés :
  signal-desktop
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.



PS :

root@debian:~# apt list --upgradable -a
En train de lister... Fait
signal-desktop/xenial 5.27.0 amd64 [pouvant être mis à jour depuis : 5.26.1]
signal-desktop/xenial,now 5.26.1 amd64 [installé, pouvant être mis à jour vers : 5.27.0]
signal-desktop/xenial 5.26.0 amd64
signal-desktop/xenial 5.25.1 amd64
signal-desktop/xenial 5.25.0 amd64
signal-desktop/xenial 5.24.0 amd64
signal-desktop/xenial 5.23.1 amd64
signal-desktop/xenial 5.23.0 amd64
signal-desktop/xenial 5.22.0 amd64
signal-desktop/xenial 5.21.0 amd64
signal-desktop/xenial 5.20.0 amd64
signal-desktop/xenial 5.19.0 amd64
signal-desktop/xenial 5.18.1 amd64
signal-desktop/xenial 5.18.0 amd64
signal-desktop/xenial 5.17.2 amd64
signal-desktop/xenial 5.17.1 amd64
signal-desktop/xenial 5.17.0 amd64
signal-desktop/xenial 5.16.0 amd64
signal-desktop/xenial 5.15.0 amd64
signal-desktop/xenial 5.14.0 amd64
signal-desktop/xenial 5.13.1 amd64
signal-desktop/xenial 5.13.0 amd64
signal-desktop/xenial 5.12.2 amd64
signal-desktop/xenial 5.12.1 amd64
signal-desktop/xenial 5.12.0 amd64
signal-desktop/xenial 5.11.0 amd64
signal-desktop/xenial 5.10.0 amd64
signal-desktop/xenial 5.9.0 amd64

Dernière modification par Grégory1899 (05-01-2022 01:15:40)

Hors ligne

#15 05-01-2022 11:25:56

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] apt update > NOK

Humm, ce qui est étrange c'est que le paquet signal-desktop/xenial n'est pas dans les dépôts de Debian Bullseye !
On dirait surtout un paquet de la distribution Ubuntu Xenial.

Donne les retours de :

cat /etc/apt/sources.list


tail -n +1 /etc/apt/sources.list.d/*



Edit:
Je travaille cet aprem jusqu'au soir, donc je serais absent jusqu'à environ 21h wink

Dernière modification par Tawal (05-01-2022 11:28:51)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#16 05-01-2022 11:39:38

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 11.3 (bullseye)
Noyau : Linux 5.10.0-13-amd64
(G)UI : GNOME 3.38.5
Inscription : 20-10-2019

Re : [Résolu] apt update > NOK

Merci pour ton aide yes.gif.

gregory@debian:~$ cat /etc/apt/sources.list
# Debian Bullseye, dépôt principal + paquets non libres
deb http://deb.debian.org/debian/ bullseye main contrib non-free
deb-src http://deb.debian.org/debian/ bullseye main contrib non-free

# Debian Bullseye, mises à jour de sécurité + paquets non libres
deb http://deb.debian.org/debian-security/ bullseye-security main contrib non-free
deb-src http://deb.debian.org/debian-security/ bullseye-security main contrib non-free
deb http://security.debian.org/debian-security bullseye-security main contrib non-free
deb-src http://security.debian.org/debian-security bullseye-security main contrib non-free

# Debian Bullseye, mises à jour "volatiles" + paquets non libres
deb http://deb.debian.org/debian/ bullseye-updates main contrib non-free
deb-src http://deb.debian.org/debian/ bullseye-updates main contrib non-free



gregory@debian:~$ tail -n +1 /etc/apt/sources.list.d/*
==> /etc/apt/sources.list.d/leap.list <==

==> /etc/apt/sources.list.d/protonvpn-stable.list <==
#
# ProtonVPN stable release
#
deb [signed-by=/usr/share/keyrings/protonvpn-stable-archive-keyring.gpg] https://repo.protonvpn.com/debian stable main
==> /etc/apt/sources.list.d/signal-xenial.list <==
deb [arch=amd64] https://updates.signal.org/desktop/apt xenial main




(Je saurai patienter lol )

Hors ligne

#17 05-01-2022 11:45:47

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] apt update > NOK

As-tu vraiment besoin du paquet signal-desktop ?
Car il vient d'une ancienne distribution Ubuntu (Xenial = 16.04)

Si tu n'en as pas besoin, tu peux le désinstaller avec :

apt remove --autoremove --purge signal-desktop/xenial



Ensuite, il te faudra supprimer ce dépôt de ton sources.list :

rm -f /etc/apt/sources.list.d/signal-desktop.list



Dis moi ce que tu choisis et pourquoi.
Et donne les retours de toutes les commandes que tu passes.
Merci.

Dernière modification par Tawal (05-01-2022 11:46:47)


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#18 05-01-2022 11:47:50

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 11.3 (bullseye)
Noyau : Linux 5.10.0-13-amd64
(G)UI : GNOME 3.38.5
Inscription : 20-10-2019

Re : [Résolu] apt update > NOK

Pour les mises à jours de Signal le paquet signal-desktop est indispensable, non ?

Hors ligne

#19 05-01-2022 11:51:59

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] apt update > NOK

Peut-être, je ne sais pas, ne connaissant pas ce logiciel.
À quoi sert-il ?

Il vaudrait mieux trouver un équivalent pour bullseye, amha.

Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#20 05-01-2022 12:08:18

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Résolu] apt update > NOK

Donne quand même le retour de :

apt policy signal-desktop


Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

Hors ligne

#21 05-01-2022 12:12:56

Grégory1899
Membre
Lieu : Lille
Distrib. : Debian GNU/Linux 11.3 (bullseye)
Noyau : Linux 5.10.0-13-amd64
(G)UI : GNOME 3.38.5
Inscription : 20-10-2019

Re : [Résolu] apt update > NOK

Tawal a écrit :

Donne quand même le retour de :

apt policy signal-desktop


gregory@debian:~$ apt policy signal-desktop
signal-desktop:
  Installé : 5.26.1
  Candidat : 5.27.0
 Table de version :
     5.27.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
 *** 5.26.1 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
        100 /var/lib/dpkg/status
     5.26.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.25.1 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.25.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.24.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.23.1 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.23.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.22.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.21.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.20.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.19.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.18.1 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.18.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.17.2 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.17.1 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.17.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.16.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.15.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.14.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.13.1 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.13.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.12.2 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.12.1 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.12.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.11.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.10.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages
     5.9.0 500
        500 https://updates.signal.org/desktop/apt xenial/main amd64 Packages

Hors ligne

#22 05-01-2022 12:25:55

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [Résolu] apt update > NOK

hello
ce qui serait bien c'est de créer ton propre poste au lieu de déterrer un poste déjà résolu
A+ son ton poste a toi tout seul smile

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

Pied de page des forums